Page MenuHomePhabricator

Some language names are duplicated in ULS language category display
Closed, ResolvedPublic

Description

Observed in two places:

  1. When choosing language for input settings
  2. When choosing target language for Special:Translate

Possibly elsewhere as well.

This bug is different from T41921: Languages appear repeated for each region in search results despite being the only result because these happen without searching.


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2018, 10:22 AM
Arrbee added a project: Language-2018-Jan-Mar.
Arrbee moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.
Arrbee triaged this task as Normal priority.
Arrbee raised the priority of this task from Normal to High.Jan 18 2018, 9:18 AM

Change 407584 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 3161b34

https://gerrit.wikimedia.org/r/407584

Change 407584 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 3161b34

https://gerrit.wikimedia.org/r/407584

@Nikerabbit I still see duplicate entries with duplicate tooltips when choosing target language for Special:Translate
Some of them might be pseudo-duplicates since data-code is not the same.

Should the tooltips reflect the difference between languages?

(1) Tooltips are the same, data-code is different.
<li title="Belarusian (Taraškievica orthography)" data-code="be-tarask"><a class="autonym" lang="be-tarask" dir="ltr">беларуская (тарашкевіца)</a></li>

<li title="Belarusian (Taraškievica orthography)" data-code="be-x-old"><a class="autonym" lang="be-x-old" dir="ltr">беларуская (тарашкевіца)</a></li>

(2) Tooltips are the same, data-code are the same.
<ul class="three columns"><li title="Message documentation" data-code="qqq"><a class="autonym" lang="qqq" dir="ltr">Message documentation</a></li>

<li title="Message documentation" data-code="qqq"><a class="autonym" lang="qqq" dir="ltr">Message documentation</a></li></ul>

This seems have fixed. Checking for Special:Translate now..

@Nikerabbit I still see duplicate entries with duplicate tooltips when choosing target language for Special:Translate
Some of them might be pseudo-duplicates since data-code is not the same.

Should the tooltips reflect the difference between languages?

(1) Tooltips are the same, data-code is different.
<li title="Belarusian (Taraškievica orthography)" data-code="be-tarask"><a class="autonym" lang="be-tarask" dir="ltr">беларуская (тарашкевіца)</a></li>

<li title="Belarusian (Taraškievica orthography)" data-code="be-x-old"><a class="autonym" lang="be-x-old" dir="ltr">беларуская (тарашкевіца)</a></li>

(2) Tooltips are the same, data-code are the same.
<ul class="three columns"><li title="Message documentation" data-code="qqq"><a class="autonym" lang="qqq" dir="ltr">Message documentation</a></li>

<li title="Message documentation" data-code="qqq"><a class="autonym" lang="qqq" dir="ltr">Message documentation</a></li></ul>

This also seems fixed in Special:Translate (Checked in Meta). Can you recheck @Etonkovidova ?

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Feb 14 2018, 3:53 AM

Checked in translatewiki and meta - no duplicates displayed, thx @KartikMistry.

Etonkovidova closed this task as Resolved.Feb 14 2018, 4:13 AM